---
layout: docs
page_title: targets read - Command
description: >-
  The "targets read" command retrieves the details of a target resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# targets read

Command: `targets read`

The `targets read` command lets you read the details of a target with a given ID.

## Example

This example reads the details of a target with the ID `t_1234567890`:

```shell-session
$ boundary targets read -id t_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary targets read [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the target you want to read.

@include 'cmd-option-note.mdx'